%define _name libgtop
%def_with example

Name: libgtop2
Version: 2.0.1
Release: alt1

Summary: LibGTop library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/GNOME/sources/%realname/2.0/%_name-%version.tar.bz2
Patch: %_name-1.0.12-isdn.patch
Patch1: %_name-1.0.12-alt-locale.patch
Patch2: %_name-2.0.0-texinfo.patch
Patch3: %_name-2.0.1-alt-nosupport.patch
Patch4: %_name-2.0.1-alt-examples_makefile.patch
Patch5: %_name-2.0.1-alt-as.patch

# Automatically added by buildreq on Mon Jan 13 2003
BuildRequires: XFree86-devel glib2-devel glibc-devel-static libgdbm-devel libpopt-devel pkgconfig

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package utils
Group: System/Base
Summary: The LibGTop utils
Requires: %name = %version-%release

%description utils
This package contains some libGTop utils

%package examples
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Summary: The LibGTop samples

%description examples
This package contains some example of using %name library

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
PreReq(post,postun): %__install_info

%description devel
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%package devel-static
Summary: Static libraries for %name
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description devel-static
This package contains static libraries for development with %name.

%prep
%setup -q -n %_name-%version
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%__rm -rf doc/*.info

%build
%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake -a -c -f

%configure \
%if_with example
	--with-libgtop-examples \
%endif
	--with-libgtop-inodedb  --with-libgtop-smp

%make_build

%install
%makeinstall

%find_lang %_name-2.0

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
%install_info %name.info

%postun devel
%uninstall_info %name.info

%files -f %_name-2.0.lang
%doc RELNOTES* NEWS README
%_libdir/lib*.so.*

%files  utils
%_bindir/*daemon*
%_bindir/*inode*

%if_with example
%files examples
%_bindir/*
%exclude %_bindir/*daemon*
%exclude %_bindir/*inode*
%endif

%files devel
%doc AUTHORS ChangeLog
%_includedir/%_name-2.0
%_libdir/lib*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%_infodir/*.info*

%files devel-static
%_libdir/*.a

%changelog
* Mon Jan 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- new version.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt3
- rebuild to fix broken .la file.

* Fri Sep 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.0-alt2
- build without internal gnomesupport (this was a hack). Use our libpopt instead.
- additional package splitting (added utils(for daemon) and examples(optional))
- added source url

* Sat Jun 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus
- Applied patches from libgtop package
- daemon_build.patch
